from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class LabelOrigin(IntEnum):
    SHORT_SIDE = auto()
    LONG_SIDE = auto()
    COLUMN = auto()
    ROW = auto()
